Where communities thrive


  • Join over 1.5M+ people
  • Join over 100K+ communities
  • Free without limits
  • Create your own community
People
Activity
    Mike Eltsufin
    @meltsufin
    thanks!
    Are we still on track for the release today?
    Spencer Gibb
    @spencergibb
    likely tomorrow, but very close
    Mike Eltsufin
    @meltsufin
    ok great! I'm asking because we have a couple of PRs we want to try to get in today
    Spencer Gibb
    @spencergibb
    @meltsufin we'll actually need the 1.2.x branch to be gone before the release tomorrow
    Mike Eltsufin
    @meltsufin
    just deleted it :)
    Maurice Zeijen
    @mzeijen
    @elefeint Hi Elena, I am very happy that you like my contribution. I will create that separate bug for the error propagation and I will probably create a merge request for it, to fix it.
    I also have time to finish up the pull request and apply the suggestions. I do have some additional questions, which I added in the pull request.
    Doing a call to discuss the pull request is probably possible. PM me if you want to plan it.
    Maurice Zeijen
    @mzeijen
    The bug for the exception handling: spring-cloud/spring-cloud-gcp#2227
    Maurice Zeijen
    @mzeijen
    Olga Maciaszek-Sharma
    @OlgaMaciaszek
    Hi all, I'm running Spring Cloud Hoxton.SR3 release. There seems to be a problem with one of your dependencies: [ERROR] Failed to execute goal on project spring-cloud-gcp-storage: Could not resolve dependencies for project org.springframework.cloud:spring-cloud-gcp-storage:jar:1.2.2.RELEASE: Failed to collect dependencies at com.google.cloud:google-cloud-storage:jar:1.104.0 -> com.google.api-client:google-api-client:jar:1.30.8 -> androidx.annotation:annotation:jar:1.1.0: Failed to read artifact descriptor for androidx.annotation:annotation:jar:1.1.0: Could not transfer artifact androidx.annotation:annotation:pom:1.1.0 from/to spring-snapshots (https://repo.spring.io/libs-snapshot-local): Failed to transfer file: https://repo.spring.io/libs-snapshot-local/androidx/annotation/annotation/1.1.0/annotation-1.1.0.pom. Return code is: 409 , ReasonPhrase:Conflict. -> [Help 1]
    Olga Maciaszek-Sharma
    @OlgaMaciaszek
    It seems as if there was still a snapshot in the pom
    Could you have a look at it or revert it to a working version of the dependency as it blocks the release?
    There might be an issue on our end also
    Olga Maciaszek-Sharma
    @OlgaMaciaszek
    Could you please verify if the pom is correct for that artifact (i.e., not a snapshot pom) and let me know? We have to look further into it
    Elena Felder
    @elefeint
    I'll be in in half an hour
    Elena Felder
    @elefeint
    I'll downgrade google-api-java-client and figure out long term solution later. Root cause: googleapis/google-api-java-client#1487
    Elena Felder
    @elefeint
    running integration tests
    Olga Maciaszek-Sharma
    @OlgaMaciaszek
    thanks @elefeint - please let me know when it's ready to retry the release process
    Elena Felder
    @elefeint
    will send a PR in a minute. Non-urgent question: do you use gradle for releases?
    spring-cloud/spring-cloud-gcp#2236 -- see if you can approve?
    Olga Maciaszek-Sharma
    @OlgaMaciaszek
    done
    Elena Felder
    @elefeint
    Can you retry the release?
    Olga Maciaszek-Sharma
    @OlgaMaciaszek
    rerunning
    Olga Maciaszek-Sharma
    @OlgaMaciaszek
    @elefeint Worked now - thanks :)
    Elena Felder
    @elefeint
    excellent
    Olga Maciaszek-Sharma
    @OlgaMaciaszek
    we're done with the dry run; running the actual release process now
    Daniel Zou
    @dzou

    Hey, thank you guys for completing the release for us.

    I wanted to ask if we could also update our API docs link on spring.io for version 1.2.2 (Current, GA) with this link for javadocs: https://googleapis.dev/java/spring-cloud-gcp/1.2.2.RELEASE/index.html

    Spencer Gibb
    @spencergibb
    done
    Daniel Zou
    @dzou
    Many thanks; really appreciate the fast response!
    Serhat Soydan
    @ssoydan-strands

    Hey,
    I don't know if I am missing something but;
    I tried to upgrade the dependency of spring-cloud-gcp-starter-pubsub in my project (spring-boot 2.1.4.RELEASE) to 1.2.2.RELEASE and then started it, I got some errors about PubSubHealthIndicator:

    2020-03-06T11:43:16,046 INFO (1)main [AnnotationUtils.java:1973]: Failed to introspect annotations on class org.springframework.cloud.gcp.autoconfigure.pubsub.health.PubSubHealthIndicatorAutoConfigurationEnhancerBySpringCGLIBEnhancerBySpringCGLIB6ba30de8: java.lang.ArrayStoreException: sun.reflect.annotation.TypeNotPresentExceptionProxy
    2020-03-06T11:43:16,059 INFO (1)main [PostProcessorRegistrationDelegate.java:330]: Bean 'org.springframework.transaction.annotation.ProxyTransactionManagementConfiguration' of type [org.springframework.transaction.annotation.ProxyTransactionManagementConfigurationEnhancerBySpringCGLIBEnhancerBySpringCGLIB6b3fbf4] is not eligible for getting processed by all BeanPostProcessors (for example: not eligible for auto-proxying)

    I think it is because "HealthContributorAutoConfiguration" class used in "PubSubHealthIndicatorAutoConfiguration" is added to SpringBoot after 2.2.0, so it does not work with Spring Boot versions below that one!

    If you confirm that it is a bug, I can create an issue. Currently the new release requires at least SpringBoot 2.2.0
    Serhat Soydan
    @ssoydan-strands
    I think the workaround is to have: "management.health.pubsub.enabled=false" if you use SpringBoot version below 2.2.0, then it works.
    Serhat Soydan
    @ssoydan-strands
    I created the issue, anyone can comment on there: spring-cloud/spring-cloud-gcp#2242
    Thanks.
    Arash
    @arashbi
    Does Sleuth supports pubsub? I would like to track a message's flow over a set of topics.
    Daniel Zou
    @dzou
    @meltsufin - was Sleuth support for pub/sub something we were targetting the upcoming quarter?
    Mike Eltsufin
    @meltsufin
    It seems like it should work as long as everything is using Spring Integration, but not if you're using PubSubTemplate directly. This hasn't been verified though AFAIK. Also see: spring-cloud/spring-cloud-gcp#2073
    Arash
    @arashbi
    I see
    Arash
    @arashbi
    thanks!
    does sleuth support opencensus?
    I see a ticket from 2018 on opencensus which is still open, but I thought I read somewhere that it is there
    Arash
    @arashbi
    ah, stackdrive implementation is there directly, which goes trough opencensus I would guess
    Elena Felder
    @elefeint
    We actually don't go through opencensus -- the spring-cloud-gcp-starter-trace uses Zipkin sender, which uses Stackdriver APIs directly
    Daniel Zou
    @dzou
    Hey we're interested in writing a Spring Cloud Functions adapter for GCP Cloud Functions; is there anyone involved with the project that we can ask some questions? @artembilan - Would you know someone by any chance?
    Artem Bilan
    @artembilan
    Oleg Zhurakousky (@olegz) is the right person to talk to.
    So, do you mean GCP Cloud Functions is the thing now for Java? :smile:
    Daniel Zou
    @dzou
    !
    Maybe... ;)
    Thanks for the contact.